Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 136923 - fedora-release-3-rawhide does not have a GPG signature
fedora-release-3-rawhide does not have a GPG signature
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 04:43 EDT by Matthias Link
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 13:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Link 2004-10-23 04:43:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
After clean install of fc3-test-3 running:

up2date -uf --nox

[...]

fedora-release-3-rawhide.no ########################## Done.
The package fedora-release-3-rawhide is not signed with a GPG
signature.  Aborting...
Package fedora-release-3-rawhide does not have a GPG signature.
 Aborting...

Unable to procede with up2date.

Manual downloading the package and installation is ok, but after that
up2date wants to reinstall it and fails again.

Version-Release number of selected component (if applicable):
fedora-release-3-rawhide

How reproducible:
Always

Steps to Reproduce:
1. fresh install fedora core3-test3
2. run "up2date -uf --nox"

    

Actual Results:  fedora-release-3-rawhide.no
########################## Done.
The package fedora-release-3-rawhide is not signed with a GPG
signature.  Aborting...
Package fedora-release-3-rawhide does not have a GPG signature.
 Aborting...

Expected Results:  download the package and move on to the next one...

Additional info:
Comment 2 Elliot Lee 2004-10-25 11:14:53 EDT
Rawhide normally will not be GPG signed. The up2date package currently
in rawhide has signature checking on in anticipation of the FC3 release.
Comment 3 Matthias Link 2004-10-25 11:37:50 EDT
It's the only package in the list till that letter (f), so why 
shouldn't it be signed? Is it that great issue to sign it?
Comment 4 Elliot Lee 2004-12-03 13:43:00 EST
Signing it would set expectations that rawhide had been "approved for
use" in some way. We want to differentiate rawhide from real releases
as far as quality and functionality expectations go, and not signing
the package is part of that differentation.

Note You need to log in before you can comment on or make changes to this bug.